#
# spec file for package gap-cvec
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-cvec
Summary:        GAP: Compact vectors over finite fields
Version:        2.5.7
Release:        lp152.3.5
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            https://gap-packages.github.io/cvec

#Git-Clone:	git://github.com/gap-system/cvec
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/cvec-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gap-devel >= 4.5.5
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
BuildRequires:  libtool
BuildRequires:  xz
Requires:       gap-core >= 4.5.5
Requires:       gap-gapdoc >= 1.2
Requires:       gap-io >= 4.1
Requires:       gap-orb >= 4.2

%description
This package provides an implementation of compact vectors over
finite fields. Contrary to earlier implementations no table lookups
are used but only word-based processor arithmetic. This allows for
bigger finite fields and higher speed.

%prep
%setup -qn cvec-%version

%build
autoreconf -fi
%configure --with-gaproot="%gapdir"
make %{?_smp_mflags} DESTDIR="%buildroot"
rm -Rf {autom4*,aclocal*,config*,cnf,m4,src}
find . -type f -name "*.la" -delete

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2.5.7
  * Remove CompatibleMatrix method (this *undocumented* API will be
    removed in GAP 4.9).
  * Fix several broken references in the manual.
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 2.5.6
  * Fixed a bug which resulted in cvec incorrectly
  converting certain GAP matrices to cvec matrices.
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 2.5.5
  * Some functions accept slightly more general input. For example,
  it is now in some cases acceptable to use finite field elements
  like Z(4)^0 (which is equal, but not identical, to Z(2)^0) as
  input when cvec is expecting elements of GF(2).
  * Fix EmptySemiEchelonBasis: its documentation said it expects a
  sample vector, but the implementation expected a sample matrix.
  Now both are possible, and both are documented.
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2.5.3
  * Remove some leftover GAP 4.4 compatibility code
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2.5.1
  * Add methods for \^ for cvecs and Frobenius automorphisms
  * Add methods for \^ for cmats and Frobenius automorphisms
  * Fix a bug in unpickling semi echelonised bases
  * Update and tweak the package build system
* Fri May 10 2013 jengelh@inai.de
- Split cvec (version 2.4) off the gap RPM package
